
ctools - Feature #3983

Add comscript to generate COMPTEL database

01/20/2022 02:05 PM - Knödlseder Jürgen

Status: Closed Start date: 01/20/2022

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

A comscript should be added that generates the COMPTEL database that is needed for other comscripts. The script should be

based on the script setuo_database.py.

History

#1 - 01/20/2022 02:06 PM - Knödlseder Jürgen

Eventually the script should be able to download files directly from the HEASARC archive.

#2 - 02/25/2022 03:54 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

I started with the implementation of the script. It's called comgendb.

#3 - 02/25/2022 11:42 PM - Knödlseder Jürgen

- Status changed from In Progress to Pull request

- % Done changed from 0 to 90

I implemented the script based on the corresponding script that was already existing in the comptel project of jknodlseder.

I also added some functionality to download the data directly from the COMPTEL HEASARC archive so that any user can simply start from scratch

with the comgendb script. wget is needed for the download. If wget does not exist the script will raise an exception.

#4 - 03/01/2022 05:40 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100

Merged into devel.
